package com.gu.openplatform.contentapi.parser

import org.scalatest.matchers.ShouldMatchers
import org.scalatest.FlatSpec
import JsonFileLoader._

class SectionsJsonParserTest extends FlatSpec with ShouldMatchers {

  // generated by:
  // http://content.guardianapis.com/sections.json
  lazy val sectionsResponse = JsonParser.parseSections(loadFile("sections.json"))

  "sections endpoint parser" should "parse basic reponse header" in {
    sectionsResponse.status should be ("ok")
    sectionsResponse.userTier should be ("free")
    sectionsResponse.total should be (39)
  }


  it should "parse the sections" in {
    sectionsResponse.results.size should be (39)
    sectionsResponse.results.head.webTitle should be ("Art and design")
  }
}